Bug 326072 - Scam detector misidentifies FQDN as numerical IP
Summary: Scam detector misidentifies FQDN as numerical IP
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-15 22:33 UTC by gjditchfield
Modified: 2013-10-17 07:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments
mail message that triggers the scam detector (2.86 KB, application/mbox)
2013-10-16 23:14 UTC, gjditchfield
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gjditchfield 2013-10-15 22:33:36 UTC
The scam detector wrongly identifies Bruce Schneir's CRYPTO-GRAM newsletter for October 15, 2013 as a scam. The "details" dialog says

This email contains a link which points to a numerical IP address (baseball2.2ndhalfplays.com) instead of a typical textual website address. This is often the case in scam emails.

That is not a numerical IP.

The link _is_ part of an example of a purported NSA malware site, but I don't think that's what KMail is trying to warn be about...

Reproducible: Always

Steps to Reproduce:
1. Subscribe to CRYPTO-GRAM at http://www.schneier.com/crypto-gram.html.
2. Get it to send you the Oct 15, 2013 issue.
3. Open the issue.
Actual Results:  
The scam warning appears on the message.

Expected Results:  
No scam warning should appear, or no warning about the above link should appear.
Comment 1 Laurent Montel 2013-10-16 07:52:08 UTC
please save mail as mbox and attach it to this bug report.
I don't want to subscribe to mailling.
thanks
Comment 2 gjditchfield 2013-10-16 23:14:09 UTC
Created attachment 82893 [details]
mail message that triggers the scam detector

I deleted the original message, but this extract triggers the scam detector in the same way.
Comment 3 Laurent Montel 2013-10-17 06:48:24 UTC
ok thanks
I will investigate.
Comment 4 Laurent Montel 2013-10-17 07:17:12 UTC
Git commit 55a04ab93e280ca46843f5ebd2842fe4d0fc3bad by Montel Laurent.
Committed on 17/10/2013 at 07:13.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 326072 - Scam detector misidentifies FQDN as numerical IP

FIXED-IN: 4.11.3

M  +1    -2    messageviewer/scamdetection/scamdetection.cpp

http://commits.kde.org/kdepim/55a04ab93e280ca46843f5ebd2842fe4d0fc3bad